/*Copyright (C) 2010 Deveaux Duncan

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DEF_GRAPHICS_ENGINE
#define DEF_GRAPHICS_ENGINE

#include <SFML/Graphics.hpp>
#include <vector>

//Class storing requested objects so as to draw them in m_renderWindow.
class GraphicsEngine
{   
    public:
        GraphicsEngine();
        
        void addObject(sf::Drawable *object);
        void removeObject(sf::Drawable *object);
        
        void draw(sf::RenderWindow &renderWindow);
    
    private:
        std::vector<sf::Drawable*> m_drawingList;
};

#endif